%define lib_major       13
%define lib_name        %mklibname %{name} %{lib_major}
%define lib_name_d      %mklibname %{name} -d
%define lib_name_d_s    %mklibname %{name} -d -s

Name:		gloox
Version:	1.0.14
Release:	%mkrel 2
Summary:	C++ full-featured Jabber/XMPP client library
URL:		http://camaya.net/gloox/
Source0:	http://camaya.net/download/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:	System/Libraries
#---------------------------------------------
BuildRequires:	%{_lib}iksemel-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gnutls-devel 
BuildRequires: %{_lib}gpg-error-devel 
BuildRequires: %{_lib}idn-devel 
BuildRequires: make 
BuildRequires: pkgconfig
BuildRequires: zlib1-devel
#---------------------------------------------
%description
gloox is a C++ Jabber/XMPP library which takes care of the
low-level protocol stuff. Additionally, it offers high-level
interfaces for interaction with an XMPP server. It is released
under the GNU GPL. Commercial licenses are available.

%package -n %{lib_name}
Summary:        Libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{name} < %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
%{name} librairies.

%package -n %{lib_name_d}
Summary:        Headers for %{name}
Group:          Development/Libraries
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}-%{release}

%description -n %{lib_name_d}
Headers for %{name} librairies.

%package -n %{lib_name_d_s}
Summary:        Static libraries for %{name}
Group:          Development/Libraries
Provides:       lib%{name}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{lib_name_d} = %{version}-%{release}

%description -n %{lib_name_d_s}
Headers for %{name} librairies.

%prep
%setup -q

%build
export PTHREAD_LIBS="-lpthread"
%configure2_5x --enable-static --without-tests
%make

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{lib_name}
%doc AUTHORS COPYING 
%{_libdir}/lib*%{name}.so.%{lib_major}*

%files -n %{lib_name_d}
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/lib*%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{lib_name_d_s}
%{_libdir}/lib*%{name}*.a


%changelog
* Wed Apr 04 2018 adrianomorselli <adrianomorselli> 1.0.14-2uplos2018
- update
